Bug 1301737 - [abrt] octave: QCoreApplication::notifyInternal(): octave-gui killed by SIGSEGV
[abrt] octave: QCoreApplication::notifyInternal(): octave-gui killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1659b0e28cb30c2e63ff4768e84...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 16:12 EST by herb-
Modified: 2016-05-02 10:38 EDT (History)
9 users (show)

See Also:
Fixed In Version: octave-4.0.1-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-02 09:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.78 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: core_backtrace (13.10 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: dso_list (22.31 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: environ (1.97 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: maps (112.79 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: mountinfo (4.18 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: open_fds (1.92 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details
File: var_log_messages (343 bytes, text/plain)
2016-01-25 16:13 EST, herb-
no flags Details

  None (edit)
Description herb- 2016-01-25 16:12:57 EST
Description of problem:
pressed hat-key twice in editor

Version-Release number of selected component:
octave-4.0.0-8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui --force-gui
crash_function: QCoreApplication::notifyInternal
executable:     /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui
global_pid:     1276
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:943
 #1 QCoreApplication::sendEvent at ../../src/corelib/kernel/qcoreapplication.h:231
 #2 QInputContext::sendEvent at inputmethod/qinputcontext.cpp:280
 #4 IBusInputContext::slotCommitText at /usr/src/debug/ibus-qt-1.3.3-Source/qtim/ibus-input-context.cpp:613
 #5 QMetaObject::activate at kernel/qobject.cpp:3567
 #6 IBus::InputContext::commitText at /usr/src/debug/ibus-qt-1.3.3-Source/src/moc_qibusinputcontext.cxx:213
 #7 IBus::InputContext::slotCommitText at /usr/src/debug/ibus-qt-1.3.3-Source/src/qibusinputcontext.cpp:202
 #8 QMetaObject::activate at kernel/qobject.cpp:3567
 #9 IBusInputContextProxy::CommitText at /usr/src/debug/ibus-qt-1.3.3-Source/src/moc_qibusinputcontextproxy.cxx:208
 #10 IBusInputContextProxy::qt_static_metacall at /usr/src/debug/ibus-qt-1.3.3-Source/src/moc_qibusinputcontextproxy.cxx:111
Comment 1 herb- 2016-01-25 16:13:03 EST
Created attachment 1118218 [details]
File: backtrace
Comment 2 herb- 2016-01-25 16:13:05 EST
Created attachment 1118219 [details]
File: cgroup
Comment 3 herb- 2016-01-25 16:13:07 EST
Created attachment 1118220 [details]
File: core_backtrace
Comment 4 herb- 2016-01-25 16:13:09 EST
Created attachment 1118221 [details]
File: dso_list
Comment 5 herb- 2016-01-25 16:13:10 EST
Created attachment 1118222 [details]
File: environ
Comment 6 herb- 2016-01-25 16:13:13 EST
Created attachment 1118223 [details]
File: limits
Comment 7 herb- 2016-01-25 16:13:16 EST
Created attachment 1118224 [details]
File: maps
Comment 8 herb- 2016-01-25 16:13:18 EST
Created attachment 1118225 [details]
File: mountinfo
Comment 9 herb- 2016-01-25 16:13:19 EST
Created attachment 1118226 [details]
File: namespaces
Comment 10 herb- 2016-01-25 16:13:21 EST
Created attachment 1118227 [details]
File: open_fds
Comment 11 herb- 2016-01-25 16:13:23 EST
Created attachment 1118228 [details]
File: proc_pid_status
Comment 12 herb- 2016-01-25 16:13:26 EST
Created attachment 1118229 [details]
File: var_log_messages
Comment 13 Orion Poplawski 2016-04-04 16:17:59 EDT
Please test with https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2a69b7ba7
If it still fails there, please describe how to reproduce.
Comment 14 herb- 2016-05-02 09:36:09 EDT
works with octave-4.0.1-6.fc23.x86_64
Comment 15 Orion Poplawski 2016-05-02 10:38:43 EDT
Thanks for the confirmation.

Note You need to log in before you can comment on or make changes to this bug.